Bug 103678 - up2date uses not-so-smart logic in selecting package source
up2date uses not-so-smart logic in selecting package source
Product: Red Hat Linux Beta
Classification: Retired
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2003-09-03 16:00 EDT by Bill Nottingham
Modified: 2014-03-16 22:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-24 15:02:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2003-09-03 16:00:40 EDT

I have it configured to look at both 'up2date' and a local directory repository.
If a package is in both places, it's downloading it over the network instead of
copying it from the local disk.
Comment 1 Adrian Likins 2003-09-03 16:58:46 EDT
up2date gets a package from the same source it got the package info
from. So if the package info comes from RHN, it downloads it
from RHN. If it comes for a dir repo, it "downloads" it from
the dir repo. 

Dep solving however, can potentially check all available info
sources till it finds what it needs (has to, to allow cross
repo dep solving). It takes the first place that has the info
it needs. Currently, it always looks to rhn first, so if rhn
has the info, it gets it there, which means it also fetches
the package from there. 

Dir package sources arent really meant to act as local look
aside caches for RHN available packages. They are stand
alone repo sources. the "-k" /path/to/packages should still
work as a way to indicate a local look aside cache for packages
that might also be across the network. 

Note You need to log in before you can comment on or make changes to this bug.